package com.bipt.intelligentapplicationorchestrationservice.enumeration;

import lombok.Getter;

/**
 * @author hky
 */

@Getter
public enum DatasetType {
    UPLOAD(0,"用户上传"),
    FROM_DATABASE(1,"来源于数据库");

    private final Integer code;
    private final String description;

    DatasetType(Integer code, String description) {
        this.code = code;
        this.description = description;
    }

    /**
     * 根据状态码获取对应的枚举值
     * @param code 状态码
     * @return 对应的枚举值
     */
    public static DatasetType fromCode(Integer code) {
        for (DatasetType datasetType : DatasetType.values()) {
            if (datasetType.getCode().equals(code)) {
                return datasetType;
            }
        }
        throw new IllegalArgumentException("无效的数据集状态码: " + code);
    }
}
