package com.bipt.intelligentapplicationorchestrationservice.service.Impl;

import com.bipt.intelligentapplicationorchestrationservice.mapper.EvaluationMapper;
import com.bipt.intelligentapplicationorchestrationservice.pojo.ModelLogVO;
import com.bipt.intelligentapplicationorchestrationservice.service.EvaluationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
@Slf4j
public class EvaluationServiceImpl implements EvaluationService {
    @Autowired
    private EvaluationMapper evaluationMapper;
    /**
     * 获取日志详情
     * @param id 模型日志id
     * @return 日志详情
     */
    @Override
    public ModelLogVO detail(Long id) {
        log.info("id:{}", id);
        ModelLogVO modelLogVO = evaluationMapper.selectLogDetail(id);
        return modelLogVO;
    }

    /**
     * 评估模型决定是否上线
     * @param id 模型id
     * @param status 模型评估状态，评估通过则上线(1.上线，0.下线)
     */
    @Override
    public void startOrStop(Long id, Integer status) {
        evaluationMapper.update(id, status);
    }
}
